Get started

Networks

Create and manage DHCP networks for node provisioning.


List Networks

GET /networks

Returns all configured DHCP networks with their CIDR, gateway, DNS servers, and DHCP range.

Response
[
  {
    "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "cidr": "10.0.0.0/24",
    "gateway": "10.0.0.1",
    "dnsServers": ["8.8.8.8", "8.8.4.4"],
    "rangeStart": "10.0.0.100",
    "rangeEnd": "10.0.0.200",
    "nicId": "6ba7b810-9dad-11d1-80b4-00c04fd430c8"
  }
]

Create Network

POST /networks/create

Create a new DHCP network bound to a specific network interface on the master node.

Request body

cidr string required
Network CIDR (e.g. 10.0.0.0/24)
gateway string required
Gateway IP address
dnsServers string[]
DNS server addresses
rangeStart string
DHCP range start IP
rangeEnd string
DHCP range end IP
nicId UUID required
Network interface to bind to
Response
{ "status": "created" }

List Interfaces

GET /networks/interfaces

List network interfaces on the master node that are available for DHCP binding.

Response
[
  {
    "name": "eth0",
    "mac": "00:1a:2b:3c:4d:5e",
    "ip": "10.0.0.1",
    "connected": true,
    "mtu": 1500
  },
  {
    "name": "eth1",
    "mac": "00:1a:2b:3c:4d:5f",
    "ip": "",
    "connected": false,
    "mtu": 1500
  }
]